# Uses of Interface
org.opensaml.xacml.policy.ObligationsType

Packages that use ObligationsType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of ObligationsType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return ObligationsType
Modifier and Type
Method
Description
`ObligationsType`
ResultType.`getObligations()`
Returns the list of Obligations in the result.
Methods in org.opensaml.xacml.ctx with parameters of type ObligationsType
Modifier and Type
Method
Description
`void`
ResultType.`setObligations(ObligationsType obligations)`
Sets the obligations for this result.

## Uses of ObligationsType in org.opensaml.xacml.ctx.impl

Fields in org.opensaml.xacml.ctx.impl declared as ObligationsType
Modifier and Type
Field
Description
`private ObligationsType`
ResultTypeImpl.`obligations`
The obligations in this Result.
Methods in org.opensaml.xacml.ctx.impl that return ObligationsType
Modifier and Type
Method
Description
`ObligationsType`
ResultTypeImpl.`getObligations()`
Returns the list of Obligations in the result.
Methods in org.opensaml.xacml.ctx.impl with parameters of type ObligationsType
Modifier and Type
Method
Description
`void`
ResultTypeImpl.`setObligations(ObligationsType obligationsIn)`
Sets the obligations for this result.

## Uses of ObligationsType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return ObligationsType
Modifier and Type
Method
Description
`ObligationsType`
PolicySetType.`getObligations()`
Gets the obligations of this policy set.
`ObligationsType`
PolicyType.`getObligations()`
Gets the obligations of this policy.
Methods in org.opensaml.xacml.policy with parameters of type ObligationsType
Modifier and Type
Method
Description
`void`
PolicySetType.`setObligations(ObligationsType obligations)`
Sets the obligations of this policy set.
`void`
PolicyType.`setObligations(ObligationsType obligations)`
Sets the obligations of this policy.

## Uses of ObligationsType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement ObligationsType
Modifier and Type
Class
Description
`class`
`ObligationsTypeImpl`
Implementation for `ObligationsType`.
Fields in org.opensaml.xacml.policy.impl declared as ObligationsType
Modifier and Type
Field
Description
`private ObligationsType`
PolicySetTypeImpl.`obligations`
Policy obligations.
`private ObligationsType`
PolicyTypeImpl.`obligations`
Policy obligations.
Methods in org.opensaml.xacml.policy.impl that return ObligationsType
Modifier and Type
Method
Description
`ObligationsType`
ObligationsTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ObligationsType`
ObligationsTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`ObligationsType`
PolicySetTypeImpl.`getObligations()`
Gets the obligations of this policy set.
`ObligationsType`
PolicyTypeImpl.`getObligations()`
Gets the obligations of this policy.
Methods in org.opensaml.xacml.policy.impl with parameters of type ObligationsType
Modifier and Type
Method
Description
`void`
PolicySetTypeImpl.`setObligations(ObligationsType newObligations)`
Sets the obligations of this policy set.
`void`
PolicyTypeImpl.`setObligations(ObligationsType newObligations)`
Sets the obligations of this policy.